/*
 * Copyright (c) 2009 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _SAHANDCONST_H
#define _SAHANDCONST_H

/* Thumb orientation limits */
#define SAH_MIN_THUMB_ORIENTATION (0.0)
#define SAH_MAX_THUMB_ORIENTATION (DEG_TO_RAD(90.0))

/* Finger position limits */
#define SAH_MIN_DISTAL_ANGLE	(0.0)
#define SAH_MAX_DISTAL_ANGLE	(DEG_TO_RAD(90.0))
#define SAH_MIN_PROXIMAL_ANGLE	(DEG_TO_RAD(-30.0))
#define SAH_MAX_PROXIMAL_ANGLE	(DEG_TO_RAD(90.0))
#define SAH_MIN_BASE_ANGLE	(DEG_TO_RAD(-20.0))
#define SAH_MAX_BASE_ANGLE	(DEG_TO_RAD(20.0))

/* Velocity limits */
#define SAH_MAX_DISTAL_VEL	(DEG_TO_RAD(180.0))
#define SAH_MAX_PROXIMAL_VEL	(DEG_TO_RAD(180.0))
#define SAH_MAX_BASE_VEL	(DEG_TO_RAD(180.0))

/* Stiffness limits (Nm) */
#define SAH_MAX_DISTAL_STIFFNESS	(0.15)
#define SAH_MAX_PROXIMAL_STIFFNESS	(0.5)
#define SAH_MAX_BASE_STIFFNESS		(0.5)

#endif
